Packages - Bug #1836

[gcc] /usr/include/c++/8.1.0/cstdlib has an invalid macro
2018-06-01 11:54 AM - ani

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

In file included from ../../../source/lib/sysdep/stl.h:32,

from ../../../source/lib/precompiled.h:68,

from ../../../source/pch/scriptinterface/precompiled.h:19:
/usr/include/c++/8.1.0/cstdlib:75:15: fatal error: stdlib.h: No such file or directory
#include_next <stdlib.h>

compilation terminated.

History

#1 - 2018-06-02 11:09 PM - ovruni

- Status changed from open to not-a-bug

| can not reproduce the error. Maybe you can look at this https:/trac.wildfiregames.com/ticket/5157

#2 - 2018-06-03 04:45 AM - ani

ovruni: If you cannot reproduce the error tell me how you succeeded in solving the task.

#3 - 2018-06-04 05:41 AM - ani
The error occurs in the file "cstdlib". That file is not part of 0 AD, it is part of GCC.

#4 - 2018-06-04 08:00 PM - ovruni

ani: You must take the time to check the link, to have details on how to fix it

#5 - 2018-06-05 03:58 AM - ani

| know how to work around it, the link is an URL to the task | am assigned to. What you need to understand is that this is an error in GCC, not in 0 AD.

#6 - 2018-06-05 06:02 AM - ovruni

Your task was closed in Arch because it has nothing to do with gcc https:/bugs.archlinux.org/task/58859

Please read a similar problem to understand how to fix it https://bugs.debian.org/cgi-bin/bugreport.cqi?bug=823145#25
